This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 751729 - After upgrade 15 => 16, Gnome starts with unrecoverable error screen
After upgrade 15 => 16, Gnome starts with unrecoverable error screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
16
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 06:22 EST by Reinout van Schouwen
Modified: 2013-02-13 16:49 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:49:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Reinout van Schouwen 2011-11-07 06:22:55 EST
Description of problem:
After upgrading from Fedora 15 to 16, my Gnome session always opens with an "unrecoverable error" screen (sad computer picture). However, I am able to close this screen with Alt+F4 and continue working normally.
Also when I create a fresh user, the error doesn't occur when logging in.
Looking at .xsession-errors, I suspect it is related to gnome-settings-daemon and its color plugin.

Version-Release number of selected component (if applicable):
3.2.1

How reproducible:
Always

Steps to Reproduce:
1. Boot to gdm screen
2. Log in
3.
  
Actual results:
Gnome session starts; shows unrecoverable error screen

Expected results:
Gnome session starts normally.

Additional info:
Relevant snippet from ~/.xsession-errors:

gnome-session[1489]: EggSMClient-WARNING: Desktop file '/home/reinout/.config/gnome-session/saved-session/108bee8f5e2df51251132065649584608300000014790043.desktop' has malformed Icon key 'skype.png'(should not include extension)
GNOME_KEYRING_CONTROL=/tmp/keyring-n7OTHp
GNOME_KEYRING_CONTROL=/tmp/keyring-n7OTHp
GNOME_KEYRING_CONTROL=/tmp/keyring-n7OTHp
GPG_AGENT_INFO=/tmp/keyring-n7OTHp/gpg:0:1
GNOME_KEYRING_CONTROL=/tmp/keyring-n7OTHp
GPG_AGENT_INFO=/tmp/keyring-n7OTHp/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-n7OTHp/ssh

(gnome-settings-daemon:1651): keybindings-plugin-WARNING **: Sneltoets (hamster-applet) is incompleet
Initializing tracker-store...
Tracker-Message: Setting up monitor for changes to config file:'/home/reinout/.config/tracker/tracker-store.cfg'
gnome-session[1489]: WARNING: Failed to start app: Unable to start application: Uitvoeren van dochterproces ‘dropbox’ is mislukt (Bestand of map bestaat niet)
Failed to play sound: File or data not found
(gnome-user-share:1775): Bluetooth-DEBUG: Unhandled UUID 00005005-0000-1000-8000-0002ee000001 (0x5005)
(gnome-user-share:1775): Bluetooth-DEBUG: Unhandled UUID 00005601-0000-1000-8000-0002ee000001 (0x5601)
gnome-session[1489]: WARNING: Failed to start app: Unable to start application: Uitvoeren van dochterproces ‘vino-server’ is mislukt (Bestand of map bestaat niet)
Initializing tracker-miner-fs...
Tracker-Message: Setting up monitor for changes to config file:'/home/reinout/.config/tracker/tracker-miner-fs.cfg'
httpd: Could not reliably determine the server's fully qualified domain name, using ::1 for ServerName
[1320662394,000,xklavier.c:xkl_engine_start_listen/]    The backend does not require manual layout management - but it is provided by the application
g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.

(gnome-settings-daemon:1651): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten

(gnome-settings-daemon:1651): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten

(gnome-settings-daemon:1651): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten

(gnome-settings-daemon:1651): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten

(gnome-settings-daemon:1651): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten
** Message: applet now removed from the notification area

(gnome-settings-daemon:1884): keybindings-plugin-WARNING **: Sneltoets (hamster-applet) is incompleet

** (gnome-settings-daemon:1884): WARNING **: IsActive failed: De verbinding is gesloten
g_dbus_connection_real_closed: Remote peer vanished with error: Error sending message: Gebroken pijp (g-io-error-quark, 0). Exiting.

(gnome-settings-daemon:1884): color-plugin-WARNING **: failed to create device: De verbinding is gesloten
(gnome-settings-daemon:1884): color-plugin-WARNING **: failed to get devices: Failed to GetDevices: De verbinding is gesloten

** (gnome-settings-daemon:1884): WARNING **: cannot connect to /org/freedesktop/ConsoleKit/Session2: Error calling StartServiceByName for org.freedesktop.ConsoleKit: De verbinding is gesloten

(gnome-settings-daemon:1884): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten

(gnome-settings-daemon:1884): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten

(gnome-settings-daemon:1884): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten

(gnome-settings-daemon:1884): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten

(gnome-settings-daemon:1884): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten

(gnome-settings-daemon:1884): color-plugin-WARNING **: Failed to CreateProfile: De verbinding is gesloten
gnome-session[1489]: WARNING: App 'gnome-settings-daemon.desktop' respawning too quickly
Comment 1 Reinout van Schouwen 2011-11-08 06:23:08 EST
The likely cause, I believe, is a crash in gnome-settings-daemon. Stacktrace follows.

[reinout@elmont ~]$ gdb /usr/libexec/gnome-settings-daemon 
GNU gdb (GDB) Fedora (7.3.50.20110722-9.fc16)
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/libexec/gnome-settings-daemon...Reading symbols from /usr/lib/debug/usr/libexec/gnome-settings-daemon.debug...done.
done.
(gdb) run
Starting program: /usr/libexec/gnome-settings-daemon 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7ffff107b700 (LWP 8065)]
[New Thread 0x7ffff087a700 (LWP 8066)]
[New Thread 0x7fffebdf6700 (LWP 8067)]
[New Thread 0x7fffeb3e8700 (LWP 8068)]
[Thread 0x7ffff087a700 (LWP 8066) exited]

(gnome-settings-daemon:8062): keybindings-plugin-WARNING **: Sneltoets (hamster-applet) is incompleet
Detaching after fork from child process 8072.
[New Thread 0x7ffff087a700 (LWP 8077)]
[New Thread 0x7fffdd85b700 (LWP 8078)]

(gnome-settings-daemon:8062): GLib-GIO-CRITICAL **: Error while sending AddMatch() message: De verbinding is gesloten

(gnome-settings-daemon:8062): GLib-GIO-CRITICAL **: Error while sending AddMatch() message: De verbinding is gesloten
g_dbus_connection_real_closed: Remote peer vanished with error: Error sending message: Gebroken pijp (g-io-error-quark, 0). Exiting.

Program received signal SIGTERM, Terminated.
0x00000032c460f3bb in raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
42				 sig);

(gdb) thread apply all bt full

Thread 7 (Thread 0x7fffdd85b700 (LWP 8078)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
No locals.
#1  0x00000032c7202355 in g_cond_timed_wait_posix_impl (cond=<optimized out>, entered_mutex=<optimized out>, abs_time=<optimized out>)
    at gthread-posix.c:242
        result = <optimized out>
        end_time = {tv_sec = 1320750947, tv_nsec = 863561000}
        timed_out = <optimized out>
        __PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
#2  0x00000032c3e1968f in g_async_queue_pop_intern_unlocked (queue=0x63d840, try=0, end_time=0x7fffdd85ac30) at gasyncqueue.c:415
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x00000032c3e6c731 in g_thread_pool_wait_for_new_task (pool=0x62e300) at gthreadpool.c:274
        end_time = {tv_sec = 1320750947, tv_usec = 863561}
        task = <optimized out>
#4  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:308

        task = <optimized out>
        pool = 0x62e300
#5  0x00000032c3e6a1d6 in g_thread_create_proxy (data=0x883d40) at gthread.c:1962
        thread = 0x883d40
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00000032c4607d90 in start_thread (arg=0x7fffdd85b700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7fffdd85b700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1, -3080498557591917838, 140737488345632, 140736909916608, 0, 3, 3080574197978721010, 
    -3073049087587554574}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00000032c42eeddd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

No locals.

Thread 6 (Thread 0x7ffff087a700 (LWP 8077)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
No locals.
#1  0x00000032c7202355 in g_cond_timed_wait_posix_impl (cond=<optimized out>, entered_mutex=<optimized out>, abs_time=<optimized out>)
    at gthread-posix.c:242
        result = <optimized out>
        end_time = {tv_sec = 1320750947, tv_nsec = 863554000}
        timed_out = <optimized out>
        __PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
#2  0x00000032c3e1968f in g_async_queue_pop_intern_unlocked (queue=0x63d840, try=0, end_time=0x7ffff0879c30) at gasyncqueue.c:415
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x00000032c3e6c731 in g_thread_pool_wait_for_new_task (pool=0x62e300) at gthreadpool.c:274
        end_time = {tv_sec = 1320750947, tv_usec = 863554}
        task = <optimized out>
#4  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:308
        task = <optimized out>
        pool = 0x62e300
#5  0x00000032c3e6a1d6 in g_thread_create_proxy (data=0x6963a0) at gthread.c:1962
        thread = 0x6963a0
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00000032c4607d90 in start_thread (arg=0x7ffff087a700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7ffff087a700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1, -3080498557591917838, 140737488346320, 140737228810688, 6753376, 3, 3080532433179863794, 
    -3073049087587554574}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"

#7  0x00000032c42eeddd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 5 (Thread 0x7fffeb3e8700 (LWP 8068)):
#0  0x00000032c42e6443 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00000032c3e44f88 in g_main_context_poll (n_fds=1, fds=0x7fffd8001170, priority=<optimized out>, timeout=120000, context=0x676080) at gmain.c:3386
        poll_func = 0x32c3e53380 <g_poll>
#2  g_main_context_iterate (context=0x676080, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3068
        max_priority = 2147483647
        timeout = 120000
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0x7fffd8001170
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00000032c3e457c5 in g_main_loop_run (loop=0x7fffd8001150) at gmain.c:3281
        self = 0x676000
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00007fffebdfb9fb in dconf_context_thread (data=0x676080) at dconfcontext.c:11
        context = 0x676080
        loop = <optimized out>
        __PRETTY_FUNCTION__ = "dconf_context_thread"
#5  0x00000032c3e6a1d6 in g_thread_create_proxy (data=0x676000) at gthread.c:1962
        thread = 0x676000
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00000032c4607d90 in start_thread (arg=0x7fffeb3e8700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7fffeb3e8700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1, -3080498557591917838, 140737488346048, 140737140132288, 0, 3, 3080471623959145202, 
    -3073049087587554574}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00000032c42eeddd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 4 (Thread 0x7fffebdf6700 (LWP 8067)):
#0  0x00000032c42e6443 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00000032c3e44f88 in g_main_context_poll (n_fds=3, fds=0x7fffe0005980, priority=<optimized out>, timeout=-1, context=0x7fffec009620) at gmain.c:3386
        poll_func = 0x32c3e53380 <g_poll>
#2  g_main_context_iterate (context=0x7fffec009620, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3068
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 3
        allocated_nfds = <optimized out>
        fds = 0x7fffe0005980
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00000032c3e457c5 in g_main_loop_run (loop=0x7fffec0095d0) at gmain.c:3281
        self = 0x7fffec009710
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00000032c86be6e6 in gdbus_shared_thread_func (user_data=0x7fffec0095f0) at gdbusprivate.c:276
        data = 0x7fffec0095f0
#5  0x00000032c3e6a1d6 in g_thread_create_proxy (data=0x7fffec009710) at gthread.c:1962
        thread = 0x7fffec009710
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00000032c4607d90 in start_thread (arg=0x7fffebdf6700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7fffebdf6700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1, -3080498557591917838, 140737237199344, 140737150675392, 0, 3, 3080472438929189618, 
    -3073049087587554574}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00000032c42eeddd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 0x7ffff107b700 (LWP 8065)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
No locals.
#1  0x00000032c7202355 in g_cond_timed_wait_posix_impl (cond=<optimized out>, entered_mutex=<optimized out>, abs_time=<optimized out>)
    at gthread-posix.c:242
        result = <optimized out>
        end_time = {tv_sec = 1320750947, tv_nsec = 865423000}
        timed_out = <optimized out>
        __PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
#2  0x00000032c3e1968f in g_async_queue_pop_intern_unlocked (queue=0x63d840, try=0, end_time=0x7ffff107ac30) at gasyncqueue.c:415
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x00000032c3e6c731 in g_thread_pool_wait_for_new_task (pool=0x62e300) at gthreadpool.c:274
        end_time = {tv_sec = 1320750947, tv_usec = 865423}
        task = <optimized out>
#4  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:308
        task = <optimized out>
        pool = 0x62e300
#5  0x00000032c3e6a1d6 in g_thread_create_proxy (data=0x661e80) at gthread.c:1962
        thread = 0x661e80
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00000032c4607d90 in start_thread (arg=0x7ffff107b700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7ffff107b700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1, -3080498557591917838, 140737488346656, 140737237203392, 0, 3, 3080529135181851378, 
    -3073049087587554574}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00000032c42eeddd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 0x7ffff74f5940 (LWP 8062)):
#0  0x00000032c460f3bb in raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
        resultvar = 0
        pid = <optimized out>
#1  0x00000032c7a05d64 in ffi_call_unix64 () at ../src/x86/unix64.S:75

No locals.
#2  0x00000032c7a05785 in ffi_call (cif=0x7fffffffda50, fn=0x32c86ab0d0 <g_dbus_connection_real_closed>, rvalue=<optimized out>, avalue=<optimized out>)
    at ../src/x86/ffi64.c:486
        classes = {X86_64_INTEGER_CLASS, 32767, 3282128645, 50}
        stack = 0x7fffffffd7d0 ""
        argp = 0x7fffffffd880 ""
        arg_types = <optimized out>
        gprcount = 4
        ssecount = <optimized out>
        ngpr = 1
        nsse = 0
        i = <optimized out>
        avn = <optimized out>
        ret_in_memory = <optimized out>
        reg_args = 0x7fffffffd7d0
#3  0x00000032c7e0ef4b in g_cclosure_marshal_generic (closure=0x6639d0, return_gvalue=0x0, n_param_values=3, param_values=<optimized out>, 
    invocation_hint=<optimized out>, marshal_data=0x32c86ab0d0) at gclosure.c:1189
        rtype = 0x32c7a061b0
        rvalue = 0x7fffffffd9d0
        n_args = 4
        atypes = 0x7fffffffd9a0
        args = 0x7fffffffd970
        i = <optimized out>
        cif = {abi = FFI_UNIX64, nargs = 4, arg_types = 0x7fffffffd9a0, rtype = 0x32c7a061b0, bytes = 0, flags = 0}
        cc = 0x6639d0
        enum_tmpval = 0x7fffffffd9f0
        tmpval_used = 0
#4  0x00000032c7e0ea24 in g_closure_invoke (closure=0x6639d0, return_value=0x0, n_param_values=3, param_values=0x8879e0, invocation_hint=<optimized out>)
    at gclosure.c:774
        marshal = 0x32c7e0d2c0 <g_type_class_meta_marshal>
        marshal_data = <optimized out>
        in_marshal = <optimized out>
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#5  0x00000032c7e20b5c in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=0x66e8f0, emission_return=0x0, instance_and_params=0x8879e0)
    at gsignal.c:3310
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x66e8f0, ihint = {signal_id = 133, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, 
          chain_type = 6699264}
        class_closure = 0x6639d0
        hlist = 0x1
        handler_list = 0x0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 
    0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 133
        max_sequential_handler_number = 250
        return_value_altered = 0
#6  0x00000032c7e2a141 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=<optimized out>)
    at gsignal.c:3003
        instance_and_params = 0x8879e0
        signal_return_type = 4
        param_values = 0x8879f8
        node = <optimized out>
        i = <optimized out>
        n_params = 2
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#7  0x00000032c7e2a2e2 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3060
        var_args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fffffffded0, reg_save_area = 0x7fffffffde10}}
#8  0x00000032c86aa485 in emit_closed_in_idle (user_data=0x7fffe0002e60) at gdbusconnection.c:1181
        data = 0x7fffe0002e60
        result = 50
#9  0x00000032c3e44a7d in g_main_dispatch (context=0x65af40) at gmain.c:2425
        dispatch = 0x32c3e408a0 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0x7fffe0002e60
        callback = 0x32c86aa450 <emit_closed_in_idle>
        cb_funcs = 0x32c411e630
        cb_data = 0x7fffe0007080
        current_source_link = {data = 0x7fffe0007010, next = 0x0}
        need_destroy = <optimized out>
        source = 0x7fffe0007010
        current = 0x79fc90
        i = <optimized out>
#10 g_main_context_dispatch (context=0x65af40) at gmain.c:2995
No locals.
#11 0x00000032c3e45278 in g_main_context_iterate (context=0x65af40, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3073
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = 9
        allocated_nfds = <optimized out>
        fds = <optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#12 0x00000032c3e457c5 in g_main_loop_run (loop=0x880690) at gmain.c:3281
        self = 0x60d0b0
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#13 0x00007ffff7adf6ad in gtk_main () at gtkmain.c:1362
        loop = 0x880690
#14 0x0000000000403d28 in main (argc=1, argv=0x7fffffffe148) at main.c:458
        res = <optimized out>
        error = 0x0
        __PRETTY_FUNCTION__ = "main"
Comment 2 Andy Lutomirski 2011-11-13 22:45:02 EST
Same failure but different gdb output for me.  I've seen this on two different computers.

** (gnome-settings-daemon:4658): DEBUG: GnomeSettingsManager: emitting plugin-activated housekeeping
** (gnome-settings-daemon:4658): DEBUG: Plugin housekeeping: active
** (gnome-settings-daemon:4658): DEBUG: GnomeSettingsModule 0x7eb0a0 initialising
** (gnome-settings-daemon:4658): DEBUG: Loading /usr/lib64/gnome-settings-daemon-3.0/libupdates.so
** (gnome-settings-daemon:4658): DEBUG: Creating object of type GsdUpdatesPlugin
(gnome-settings-daemon:4658): updates-plugin-DEBUG: GsdUpdatesPlugin initializing
(gnome-settings-daemon:4658): updates-plugin-DEBUG: Activating updates plugin
(gnome-settings-daemon:4658): updates-plugin-DEBUG: Starting updates manager
(gnome-settings-daemon:4658): updates-plugin-DEBUG: setting on battery 0
(gnome-settings-daemon:4658): updates-plugin-DEBUG: not when no network
(gnome-settings-daemon:4658): updates-plugin-DEBUG: Started updates manager
** (gnome-settings-daemon:4658): DEBUG: GnomeSettingsManager: emitting plugin-activated updates
** (gnome-settings-daemon:4658): DEBUG: Plugin updates: active
** (gnome-settings-daemon:4658): DEBUG: ConsoleKit session ID: /org/freedesktop/ConsoleKit/Session5
** (gnome-settings-daemon:4658): DEBUG: ConsoleKit session ID: /org/freedesktop/ConsoleKit/Session5
(gnome-settings-daemon:4658): color-plugin-DEBUG: connected to colord
[New Thread 0x7fffec493700 (LWP 4669)]
(gnome-settings-daemon:4658): color-plugin-DEBUG: loading: /usr/share/hwdata/pnp.ids
(gnome-settings-daemon:4658): color-plugin-DEBUG: output xrandr added
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::backend-description
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::version-major
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::groups
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::backend-author
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::backend-name
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::version-micro
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::roles
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::mime-types
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::filters
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::version-minor
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::network-state
(gnome-settings-daemon:4658): PackageKit-DEBUG: notify::distro-id
(gnome-settings-daemon:4658): updates-plugin-DEBUG: setting online 1
(gnome-settings-daemon:4658): updates-plugin-DEBUG: defering action for 300 seconds
(gnome-settings-daemon:4658): color-plugin-DEBUG: emit add: /home/luto/.local/share/icc/edid-d3668dfa6686761bd1157d28580ded74.icc
(gnome-settings-daemon:4658): color-plugin-DEBUG: profile /home/luto/.local/share/icc/edid-d3668dfa6686761bd1157d28580ded74.icc added
(gnome-settings-daemon:4658): color-plugin-DEBUG: emit add: /home/luto/.local/share/icc/edid-adfc341bb518407774026e76d63f539c.icc
(gnome-settings-daemon:4658): color-plugin-DEBUG: profile /home/luto/.local/share/icc/edid-adfc341bb518407774026e76d63f539c.icc added
(gnome-settings-daemon:4658): color-plugin-DEBUG: emit add: /home/luto/.color/icc/sRGB.icm
(gnome-settings-daemon:4658): color-plugin-DEBUG: profile /home/luto/.color/icc/sRGB.icm added
(gnome-settings-daemon:4658): color-plugin-DEBUG: emit add: /home/luto/.color/icc/x200s_6500.icc
(gnome-settings-daemon:4658): color-plugin-DEBUG: profile /home/luto/.color/icc/x200s_6500.icc added
g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.

Program received signal SIGTERM, Terminated.
0x00007ffff5c683bb in raise () from /lib64/libpthread.so.0
(gdb) bt
#0  0x00007ffff5c683bb in raise () from /lib64/libpthread.so.0
#1  0x00007ffff332cd64 in ffi_call_unix64 () from /usr/lib64/libffi.so.5
#2  0x00007ffff332c785 in ffi_call () from /usr/lib64/libffi.so.5
#3  0x00007ffff52aef4b in g_cclosure_marshal_generic ()
   from /lib64/libgobject-2.0.so.0
#4  0x00007ffff52aea24 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#5  0x00007ffff52c0b5c in ?? () from /lib64/libgobject-2.0.so.0
#6  0x00007ffff52ca141 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#7  0x00007ffff52ca2e2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#8  0x00007ffff5599485 in ?? () from /lib64/libgio-2.0.so.0
#9  0x00007ffff49b3a7d in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#10 0x00007ffff49b4278 in ?? () from /lib64/libglib-2.0.so.0
#11 0x00007ffff49b47c5 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#12 0x00007ffff78e46ad in gtk_main () from /usr/lib64/libgtk-3.so.0
#13 0x0000000000403d28 in main ()
Comment 3 Andy Lutomirski 2011-11-13 22:59:17 EST
It's definitely the color plugin.  Disabling the color plugin in gconf-editor fixes the crash, and re-enabling it brings the crash back.
Comment 4 Matthias Clasen 2011-11-14 17:10:20 EST
Are you running with selinux in enforcing mode ?
Does setting it to permissive make things work ?
Comment 5 Reinout van Schouwen 2011-11-15 04:16:17 EST
(In reply to comment #4)
> Are you running with selinux in enforcing mode ?
> Does setting it to permissive make things work ?

Yes, and yes. After 'setenforce 0' I could log in to my Gnome session without problem.
Comment 6 Matthias Clasen 2011-11-15 12:51:38 EST
You probably need to relabel $HOME then
Comment 7 Andy Lutomirski 2011-11-15 13:29:49 EST
Possibly more to the point, gnome-settings-daemon plugins need to not crash when a syscall fails.  Especially since gnome 3's handling of g-s-d crashes is ... considerably less than ideal.
Comment 8 Reinout van Schouwen 2011-11-16 08:26:21 EST
@Matthias, I have no clue what you mean by 'relabel $HOME' (I can't imagine how renaming my home directory would help), but I agree with Andy: such crashes simply shouldn't happen, especially not to unsuspecting users after upgrading from (pretty much) stock F15 to F16.
Comment 9 Matthias Clasen 2011-11-16 10:18:05 EST
Sorry for being terse; selinux has a process for reapplying its labels to all files in a file system. That is sometimes necessary. I think you can do it by

restorecon -R /home/reinout
Comment 10 Andy Lutomirski 2011-11-16 12:22:06 EST
Relabeling my home directory fixed the problem for me.  There are three issues, though:

1. Upgrading Fedora should have relabeled my home directory automatically, or at least asked.

2. g-s-d should not have crashed.  Instead it should produce meaningful diagnostics (or at the veri least diagnostics that a programmer can understand).

3. There is nothing interesting in /var/log/audit/audit.log.  If it's a selinux policy issue, there should have been a denied entry.
Comment 11 Andy Lutomirski 2011-11-22 02:24:20 EST
Correction: F16 apparently logs selinux denials to a different file.  The denial was:

[  165.033735] type=1400 audit(1321241719.668:13): avc:  denied  { read } for  pid=948 comm="dbus-daemon" path="/home/luto/.local/share/icc/edid-d3668dfa6686761bd1157d28580ded74.icc" dev=dm-2 ino=1058790 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:data_home_t:s0 tclass=file
Comment 12 Reinhard 2012-03-23 19:29:35 EDT
comment#9 solved my issue
Comment 13 Steve 2012-08-17 00:15:54 EDT
I just ran into this while updating my Fedora 16 distro which I upgraded a few months ago from 15. The upgrade was a nail-biter, but it seemed to be working fine. Then after applying some software updates today, I rebooted and I got the the choose user and type in password screen as expected. But when I tried to open the my home folder, I was sent back to the login screen after a variable amount of time during which my home folder background picture flashed briefly.

I lowered the runlevel typing "init 3" as root with ssh, and then I could log in either as root or my user account in text mode. Gnome would start up ok if I did a startx as root but using my user account. I got an error that led me to this page.

The fix I found was essentially described here: http://www.crypt.gen.nz/selinux/disable_selinux.html

I set SELINUX=permissive in the /etc/selinux/config and rebooted. Then I could boot into my account normally using Gnome.

Then as root I typed 
>fixfiles relabel

After a few minutes that terminated, and I set SELINUX=enforcing in the config file and rebooted, and everything seems OK now.

Not sure why it cropped up at this junction, but it must have been triggered by the latest batch of yum updates on my machine.

I hope this helps someone.

-Steve
Comment 14 Fedora End Of Life 2013-01-16 12:18:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora End Of Life 2013-02-13 16:49:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.